# Classes

The following classes are available globally.

- `Group`

  Access to the Mixpanel Groups API, available through the getGroup function from the main Mixpanel instance.

  See more

  #### Declaration

  Swift

      open class Group

- `Mixpanel`

  The primary class for integrating Mixpanel with your app.

  See more

  #### Declaration

  Swift

      open class Mixpanel

- `MixpanelInstance`

  The class that represents the Mixpanel Instance

  See more

  #### Declaration

  Swift

      open class MixpanelInstance: CustomDebugStringConvertible, FlushDelegate, AEDelegate,
        MixpanelFlagDelegate

- `MixpanelLogger`

  Undocumented

  See more

  #### Declaration

  Swift

      public class MixpanelLogger

- `MixpanelOptions`

  Undocumented

  See more

  #### Declaration

  Swift

      public class MixpanelOptions

- `People`

  Access to the Mixpanel People API, available as an accessible variable from the main Mixpanel instance.

  See more

  #### Declaration

  Swift

      open class People

© 2026 Mixpanel. All rights reserved. (Last updated: 2026-04-07)

Generated by jazzy ♪♫ v0.15.4, a Realm project.